Adicionando plugins ao K3b - Suporte a MP3 e outros recursos

Publicado por Marco Brainiac em 21/02/2013

[ Hits: 6.420 ]

 


Adicionando plugins ao K3b - Suporte a MP3 e outros recursos



Olá, caros amigos linuxers.

Para os escolados pode ser fácil, mas para os novatos dá uma certa dor de cabeça. Às vezes queremos usar o K3b, no GNOME por exemplo, e não podemos passar arquivos MP3 para o formato áudio, há dificuldades com arquivos MPEG.

Obs.: Dica testada no Debian Squeeze e SolusOS (um Debian mais encorpado).

1. Instale o LAME para funcionar o MP3:

# apt-get install lame gstreamer0.10-lame

2. Instale o pacote de codecs "libk3b6" (libk3b6-extracodecs, biblioteca do codec FFmpeg, biblioteca de suporte GCC, biblioteca decodificadora de áudio MPEG):

# apt-get install libk3b6-extracodecs

Referências:
Outras dicas deste autor

Netbeans: solução para "No protocol specified" durante a instalação

Java no Debian e derivados - Atualização via repositório

Tutorial Gaupol - Sincronização de legendas no Linux

Pipelight - Uma alternativa ao flash no Debian

Avidemux - Como inserir legenda em vídeos

Leitura recomendada

Opera Developer no Debian e Ubuntu

Froxlor Server Management Panel no Debian Squeeze/Wheezy

Acelerando a abertura de seu OpenOffice.org

Se comunicando com o MSN Messenger e ICQ num único sistema

Download do livro Grokking the Gimp

  

Comentários
[1] Comentário enviado por JohnRobson em 21/02/2013 - 13:54h

No meu caso o gstreamer0.10-lame deu conflito (Debian Wheezy).

$ sudo apt-get install gstreamer0.10-lame
[sudo] password for john:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
clementine gstreamer0.10-plugins-ugly libechonest1.2 libftgl2 libindicate-qt1 libprojectm2 libqxt-core0 libqxt-gui0 projectm-data quodlibet radiotray thoggen totem-xine
The following NEW packages will be installed:
gstreamer0.10-lame
0 upgraded, 1 newly installed, 13 to remove and 22 not upgraded.
Need to get 132 kB of archives.
After this operation, 19.6 MB disk space will be freed.
Do you want to continue [Y/n]? Abort.


Eu sempre instalo estes pacotes:

# w32codecs ou w64codecs
"easytag faac faad ffmpeg ffmpeg2theora flac gxine icedax id3tool id3v2 lame libdvdcss2 libdvdnav4 libdvdread4 libflac++6 libjpeg-progs libmad0 libmp3lame0 libmpcdec6 libmpeg2-4 libmpeg3-1 libquicktime1 libxine1-ffmpeg madplay mencoder mjpegtools mkvtoolnix mp3gain mpeg2dec mpeg3-utils mpegdemux mpg123 mpg321 mppenc oggz-tools regionset sox tagtool uudeview vorbis-tools x264 w32codecs" # **libav-tools # w64codecs # *nautilus-script-audio-convert *non-free-codecs *ubuntu-restricted-extras *pitfdll # Audio & Video Codecs

"gstreamer-tools libk3b6-extracodecs libgstreamer-plugins-base0.10-0 gstreamer0.10-ffmpeg gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-plugins-bad gstreamer0.10-plugins-really-bad gstreamer0.10-plugins-ugly" # *gstreamer0.10-pitfdll *gstreamer0.10-plugins-bad-multiverse *gstreamer0.10-plugins-ugly-multiverse # gstreamer0.10-lame


* significa que o Debian não tem este pacote, mas tem (ou tinha) no Ubuntu.

Não sei se é pacote demais, mas eu sei que eu rodo qualquer tipo de vídeo ou música, até o que meus amigos não rodam no Windows 7 eu consigo rodar no Debian ;)

[2] Comentário enviado por mbrainiac em 22/02/2013 - 12:15h

Olá John,

Creio que esteja faltando o repositório Debian backports e o mulmidia no /etc/apt/sources.list.

Fale com o amigo EDPS no site:
http://gnutwoall.wordpress.com/2012/10/02/atualizacao-do-debian-squeeze-para-o-debian-wheezy/

Ele é um grande expert, e pode responder lá no site dele.

Só adicionar no sources.list as 2 que faleie dar um apt-get update.

Veja se os repositórios estão okay, dê um apt-get update e veja se retornam erro.

Desculpe a demora, estou com problemas de rede

[3] Comentário enviado por mbrainiac em 22/02/2013 - 12:24h

John,

Não posso falar com certeza, pq estou usando um quase Debian o SolusOS e ele usarepos baseadas no Squeeze.

È necessário sim o w32codecs para dar suporte aos mídias do windows como wmv, wma e muitos videos online.

O procedimento que deve fazer no seu caso é parecido com o link abaixo mas vc deve pegar o Debian backports e multimidia para o Debian Wheezy.

http://linuxparainiciante.wordpress.com/2011/12/07/instalando-o-mplayer-w32codecs/

[4] Comentário enviado por mbrainiac em 31/05/2013 - 10:35h

Atualização para o debian Wheezy

http://wiki.debian.org/MultimediaCodecs

[5] Comentário enviado por JohnRobson em 31/05/2013 - 16:24h

Acho que precisa tomar cuidado ao instalar esse codec. Veja:

$ sudo apt-get install libavcodec-extra-53
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
phonon-backend-null
The following packages will be REMOVED:
2mandvd* acetoneiso* akregator* amarok* amarok-common* audacious* audacious-plugins* audacity* automoc* blender* browser-plugin-vlc* calligra-data*
calligra-libs* digikam* digikam-data* dolphin* dvdauthor* dvdrip* dvdrip-doc* dvgrab* enblend* enfuse* exif* ffmpeg* ffmpeg2theora* ffmpegthumbnailer*
filelight* freespacenotifier* frei0r-plugins* gimp* gimp-gmic* gimp-plugin-registry* goldendict* gtk2-ex-formfactory-perl* gxine* hugin* hugin-data*
hugin-tools* k3b* k9copy* kapptemplate* kate* katepart* kbibtex* kcachegrind* kchmviewer* kde-baseapps* kde-baseapps-bin* kde-plasma-netbook* kde-runtime*
kde-style-oxygen* kde-window-manager* kde-workspace* kde-workspace-bin* kdebase-runtime* kdelibs-bin* kdelibs5-dev* kdelibs5-plugins*
kdemultimedia-kio-plugins* kdenlive* kdenlive-data* kdepasswd* kdepim-runtime* kdepimlibs-kio-plugins* kdevelop* kdevelop-data* kdevplatform5-libs*
kdewebdev* kdiff3* kdiff3-doc* kdm* kdoctools* kfilereplace* kfind* khelpcenter4* kile* kimagemapeditor* kinfocenter* kipi-plugins* kipi-plugins-common*
klinkstatus* klipper* kmenuedit* kmymoney* kmymoney-common* kmymoney2* kommander* kompare* konqueror* konqueror-nsplugins* konsole* konversation*
konversation-data* krename* krita* krita-data* ksysguard* kwrite* libakonadi-contact4* libakonadi-kcal4* libakonadi-kde4* libakonadi-kmime4* libalkimia4*
libanyevent-perl* libaqbanking-data* libaqbanking-plugins-libgwenhywfar60* libaqbanking34* libaqbanking34-plugins* libaqhbci20* libaqofxconnect7*
libav-tools* libavbin0* libavcodec53* libavcodec54* libavdevice53* libavdevice54* libavfilter2* libavfilter3* libavformat53* libavformat54*
libevent-execflow-perl* libevent-perl* libevent-rpc-perl* libfame-0.9-1* libffmpegthumbnailer4* libffms2-2* libgegl-0.2-0* libglee0d1* libgpgme++2*
libgtkglext1* libgwengui-qt4-0* libgwenhywfar-data* libgwenhywfar60* libk3b6* libk3b6-extracodecs* libkabc4* libkasten1controllers1* libkasten1core1*
libkasten1gui1* libkasten1okteta1controllers1* libkasten1okteta1core1* libkasten1okteta1gui1* libkateinterfaces4* libkatepartinterfaces4* libkcal4*
libkcalutils4* libkcddb4* libkdcraw-data* libkdcraw20* libkde3support4* libkdepim4* libkdewebkit5* libkemoticons4* libkexiv2-10* libkexiv2-data*
libkfile4* libkhtml5* libkimproxy4* libkio5* libkipi-data* libkipi8* libkmediaplayer4* libknewstuff2-4* libknewstuff3-4* libknotifyconfig4*
libkonq-common* libkonq5abi1* libkonqsidebarplugin4a* libkontactinterface4* libkparts4* libkpimidentities4* libkpimtextedit4* libkpimutils4*
libkprintutils4* libkrossui4* libktexteditor4* libktoblzcheck1c2a* libkutils4* libkworkspace4abi1* libkxmlrpcclient4* libloudmouth1-0* libmailtransport4*
libmarblewidget13* libmicroblog4* libmlt++3* libmlt-data* libmlt5* libofx4* liboggkate1* liboil0.3* libokteta1core1* libokteta1gui1* libokularcore1*
libopencv-calib3d2.3* libopencv-contrib2.3* libopencv-features2d2.3* libopencv-highgui2.3* libopencv-legacy2.3* libopencv-objdetect2.3* libpano13-2*
libpano13-bin* libphonon-dev* libplasma3* libplasmaclock4abi3* libplasmagenericshell4* libpython3.2* libqtlocation1* libqtscript4-core* libqtscript4-gui*
libqtscript4-network* libqtscript4-sql* libqtscript4-uitools* libqtscript4-xml* libsmokekdecore4-3* libsmokekdeui4-3* libsmokekfile3* libsmokekhtml3*
libsmokekio3* libsmokeknewstuff2-3* libsmokeknewstuff3-3* libsmokekparts3* libsmokektexteditor3* libsmokekutils3* libsmokeplasma3* libsoprano-dev*
libspnav0* libstreamanalyzer0* libsublime5* libsyndication4* libtaskmanager4abi3* libtheora-bin* libunicap2* libweather-ion6* libweed0* libx264-132*
libxine1* libxine1-bin* libxine1-ffmpeg* libxine1-misc-plugins* libxine1-plugins* libxine2* libxine2-bin* libxine2-ffmpeg* libxine2-gnome*
libxine2-misc-plugins* libxine2-plugins* libxine2-x* libzthread-2.3-2* lives* lives-data* lsdvd* marble-data* marble-plugins* melt* miro* miro-data*
mplayerthumbs* ogmtools* okular* okular-extra-backends* phonon* phonon-backend-vlc* plasma-dataengines-workspace* plasma-netbook*
plasma-scriptengine-javascript* plasma-scriptengine-python* plasma-scriptengine-ruby* plasma-scriptengine-superkaramba* plasma-scriptengine-webkit*
plasma-scriptengines* plasma-widget-folderview* plasma-widgets-workspace* python-kde4* python-libtorrent* python3.2* python3.2-minimal* rkward* ruby-kde4*
ruby-plasma* skrooge* skrooge-common* soundkonverter* subtitleripper* systemsettings* tellico* timidity* timidity-daemon* transcode* transcode-doc*
transcode-utils* umbrello* vlc* vlc-nox* vlc-plugin-notify* vlc-plugin-pulse* vlc-plugin-sdl* vorbisgain* winff* winff-doc* x264* xine-ui* yakuake*
The following NEW packages will be installed:
libavcodec-extra-53 phonon-backend-null
0 upgraded, 2 newly installed, 302 to remove and 5 not upgraded.
Need to get 3,210 kB of archives.
After this operation, 1,013 MB disk space will be freed.
Do you want to continue [Y/n]?

[6] Comentário enviado por mbrainiac em 31/05/2013 - 22:23h


[4] Comentário enviado por mbrainiac em 31/05/2013 - 10:35h:

Atualização para o debian Wheezy

http://wiki.debian.org/MultimediaCodecs


Rapaz é verdade



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts